Subject: bug#403: 23.0.60; two bugs with internal-border-width

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Jun 2008 01:54:31 -0400

> Evalling this form yields 0:

> (let ((f (make-frame '((internal-border-width . 20)))))
>   (prog1
>       (frame-parameter f 'internal-border-width)
>     (delete-frame f)))

> ... I expected it to yield 20.

Apparently it's because of

  /* GTK does not set any border, and they look bad with GTK.  */
  f->border_width = 0;
  f->internal_border_width = 0;

in gtkutil.c:xg_create_frame_widgets.  I think I've fixed it now.

> Also, once a frame is displayed, if I modify internal-border-width
> (changing it from 0 to 20, say), it can leave some garbage on the
> screen, where the new border should be.  recenter fixes this.

Sorry, I don't know how to even begin debugging this.

        Stefan